# Billing Run Actions

Billing Run Actions

 - [POST /billingRunActions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-run-actions/createbillingrunaction.md): This method will auto-generate an ID and create a new billing run action. If an ID is specified for the billing run action, an error will be thrown.
 - [GET /billingRunActions/{tenantId}/application/{application_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-run-actions/listactionsbyapplicationid.md): Returns a list of records with the specified application_id
 - [POST /billingRunActions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-run-actions/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /billingRunActions/{tenantId}/billingRun/{billing_run_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-run-actions/listactionsbybillingrunid.md): Returns a list of records with the specified billing_run_id
 - [GET /billingRunActions/{tenantId}/certification/{certification_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-run-actions/listactionsbycertificationid.md): Returns a list of records with the specified certification_id
 - [GET /billingRunActions/{tenantId}/trainingProvider/{training_provider_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-run-actions/listactionsbytrainingproviderid.md): Returns a list of records with the specified training_provider_id
 - [DELETE /billingRunActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-run-actions/deletebillingrunaction.md): This method will delete a billing run action with the specified ID.
 - [GET /billingRunActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-run-actions/getbillingrunaction.md): This method will look up a billing run action by the specified ID and return it back.
 - [PATCH /billingRunActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-run-actions/patchbillingrunaction.md): This method will patch an existing billing run action with the specified ID, using the HTTP PATCH specification.
 - [PUT /billingRunActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-run-actions/updatebillingrunaction.md): This method will update an existing billing run action with the specified ID.
